// Code generated by go-swagger; DO NOT EDIT.

package auth

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

// AuthSignInOKCode is the HTTP code returned for type AuthSignInOK
const AuthSignInOKCode int = 200

/*AuthSignInOK A successful response.

swagger:response authSignInOK
*/
type AuthSignInOK struct {

	/*
	  In: Body
	*/
	Payload *models.AuthResponse `json:"body,omitempty"`
}

// NewAuthSignInOK creates AuthSignInOK with default headers values
func NewAuthSignInOK() *AuthSignInOK {

	return &AuthSignInOK{}
}

// WithPayload adds the payload to the auth sign in o k response
func (o *AuthSignInOK) WithPayload(payload *models.AuthResponse) *AuthSignInOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the auth sign in o k response
func (o *AuthSignInOK) SetPayload(payload *models.AuthResponse) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AuthSignInOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*AuthSignInDefault An unexpected error response

swagger:response authSignInDefault
*/
type AuthSignInDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewAuthSignInDefault creates AuthSignInDefault with default headers values
func NewAuthSignInDefault(code int) *AuthSignInDefault {
	if code <= 0 {
		code = 500
	}

	return &AuthSignInDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the auth sign in default response
func (o *AuthSignInDefault) WithStatusCode(code int) *AuthSignInDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the auth sign in default response
func (o *AuthSignInDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the auth sign in default response
func (o *AuthSignInDefault) WithPayload(payload *models.Error) *AuthSignInDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the auth sign in default response
func (o *AuthSignInDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AuthSignInDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
